import { AnySchema, ArrayCriterias, CommonCriterias, DefaultValue, InferNullable, InferSchemaType, Schema } from '../types';
export interface ArraySchema<T = unknown[]> extends Schema<T>, ArrayCriterias<ArraySchema<T>>, CommonCriterias<ArraySchema<T>> {
    never: () => ArraySchema<never>;
    notNullable: () => ArraySchema<NonNullable<T>>;
    nullable: () => ArraySchema<T | null>;
    of: <V extends AnySchema>(schema: V) => ArraySchema<InferNullable<T, InferSchemaType<V>[]>>;
}
export declare function array<T = unknown>(defaultValue?: DefaultValue<T[]>): ArraySchema<T[]>;
//# sourceMappingURL=array.d.ts.map